Activity log for bug #1594546

Date Who What changed Old value New value Message
2016-06-20 19:24:20 Scott Moser bug added bug
2016-06-20 19:44:22 Scott Moser description When fixing bug 1579130 , we made cloud-init rename devices itself, rather than relying on the systemd.link files to do that. cloud-init was still writing .link files like: /etc/systemd/network/50-cloud-init-ens2.link That leads to just a confusing situation as cloud-init will trump any renaming systemd does in all cases. We'd like to get to a place where cloud-init allows the user to later customize the name of the devices in a supported manner, but for the moment, these files only create confusion. Related Bugs: * 1579130: need to support renaming of devices in container and on first boot When fixing bug 1579130 , we made cloud-init rename devices itself, rather than relying on the systemd.link files to do that. cloud-init was still writing .link files like:  /etc/systemd/network/50-cloud-init-ens2.link That leads to just a confusing situation as cloud-init will trump any renaming systemd does in all cases. We'd like to get to a place where cloud-init allows the user to later customize the name of the devices in a supported manner, but for the moment, these files only create confusion. Related Bugs:  * bug 1579130: need to support renaming of devices in container and on first boot
2016-06-20 19:44:34 Scott Moser cloud-init: status New Confirmed
2016-06-20 19:44:38 Scott Moser cloud-init: importance Undecided Medium
2016-06-20 19:44:40 Scott Moser cloud-init: status Confirmed In Progress
2016-06-20 21:12:28 Launchpad Janitor branch linked lp:cloud-init
2016-06-20 21:17:09 Launchpad Janitor branch linked lp:~smoser/ubuntu/yakkety/cloud-init/pkg
2016-06-22 20:09:16 Launchpad Janitor branch linked lp:~smoser/ubuntu/xenial/cloud-init/pkg
2016-06-30 13:52:25 Scott Moser cloud-init: status In Progress Fix Committed
2016-08-10 14:53:08 Scott Moser cloud-init: status Fix Committed Fix Released